%define upstream_name    Dist-Zilla-Plugin-MatchManifest
%define upstream_version 6.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Ensure that MANIFEST is correct
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
If included, this plugin will ensure that the distribution contains a
_MANIFEST_ file and that its contents match the files collected by
Dist::Zilla. If not, it will display the differences and (if STDIN & STDOUT
are TTYs) offer to update the _MANIFEST_.

As I see it, there are 2 problems that a MANIFEST can protect against:

* 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 6.0.0-4.mga9
+ Revision: 1808946
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 6.0.0-3.mga8
+ Revision: 1504044
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1283031
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 shlomif <shlomif> 6.0.0-1.mga7
+ Revision: 1185266
- update to 6.000

* Sun Jun 19 2016 pterjan <pterjan> 4.20.0-6.mga6
+ Revision: 1026315
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 4.20.0-5.mga6
+ Revision: 970332
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 4.20.0-4.mga6
+ Revision: 885943
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 4.20.0-3.mga5
+ Revision: 749425
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 4.20.0-1.mga5
+ Revision: 655083
- update to 4.02

* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-2.mga4
+ Revision: 531913
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 4.10.0-1.mga4
+ Revision: 465696
- update to 4.01

* Sun Jan 13 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 366264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 59705
- update to 4.00

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 40466
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MatchManifest

